## orbit2 2.14.19

=== debian/changelog ===
orbit2 (1:2.14.19-4) unstable; urgency=medium

  * QA upload.
  * Run gtkdocize to fix FTBFS with gtk-doc-tools 1.26.
    (Closes: #876576)
  * Stop building with -fPIC. (Closes: #842099)

 -- Adrian Bunk <bunk@debian.org>  Fri, 29 Sep 2017 23:17:07 +0300

orbit2 (1:2.14.19-3) unstable; urgency=medium

  * QA upload.
  * Remove wrong Multi-Arch: foreign from liborbit2-dev.

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 01 Aug 2017 06:48:17 +0200

orbit2 (1:2.14.19-2) unstable; urgency=medium

  * QA upload.
  * Build using the -fPIC CFLAG (Closes: #837664)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 30 Sep 2016 21:13:57 +0200

orbit2 (1:2.14.19-1) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Bump Standards-Version to 3.9.6.

 -- Emanuele Rocca <ema@debian.org>  Fri, 08 May 2015 21:12:27 +0200

orbit2 (1:2.14.19-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Move orbit-idl-2 to orbit2, update dependencies accordingly.
  * orbit2-config-multiarch.patch: new patch. Remove useless lines from 
    orbit2-config that break the MA-same expectation.
  * All of this allows us to make liborbit2-dev Multi-Arch: same.
  * Drop useless Everything_module.a.
  * Move libORBit-2 and libORBitCosNaming-2 to a new liborbit-2-0 
    package. This will avoid pulling libidl0 and its cpp dependency on 
    machines that need liborbit.
  * Bump standards version.
  * Convert to 3.0 quilt format.
  * Remove m68k patch, we don’t ship this architecture anymore.
  * Update package descriptions. Closes: #493468.
  * Correctly cleanup built documentation.
  * Rename the lintian override file to the correct name.

 -- Josselin Mouette <joss@debian.org>  Sun, 17 Nov 2013 18:49:42 +0100

orbit2 (1:2.14.19-0.2) unstable; urgency=low

  [Balint Reczey]
  * Non-maintainer upload.
  * incorporating patches from Ubuntu to fix build failures

  [Sebastien Bacher]
  * debian/patches/git_new_autotools_build.patch:
    - fix the build with the new automake version
  * debian/patches/glib_no_deprecations.patch: turn off glib deprecations,
    to fix the build with the current version

  [ Riku Voipio ]
  * Multiarchize.  Closes: #641615.

  [ Steve Langasek ]
  * Remove .la files from the package, as they're no longer needed.
  * debian/patches/pre-multiarch-compatibility.patch: Support pre-
    multiarch directory as a compatibility fallback.  Closes: #641615,
    LP: #977966.

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 27 Aug 2013 18:32:04 +0200

orbit2 (1:2.14.19-0.1) unstable; urgency=low

  * Non-maintainer upload, for the GNOME 3 transition.
  * New upstream release.
  * Update watch file.
  * Use dh-autoreconf:
    - Drop debian/patches/700-autoreconf.patch.
    - Add Build-Depends on dh-autoreconf.
    - Add autoreconf.mk include.
  * debian/rules:
    - Don't include autotools.mk as we already include gnome.mk.
  * debian/patches/001-dont-use-atexit-handlers.patch:
    - Don't use atexit handlers, as they cause gnome-settings-daemon to crash.
      Use a GNU C extension instead. Patch by Rodrigo Moya.
      (LP: #788710, Closes: #645704)

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Oct 2011 01:09:32 +0200

orbit2 (1:2.14.18-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field
    (Closes: #619205).

 -- Luk Claes <luk@debian.org>  Sun, 29 May 2011 22:49:43 +0200

orbit2 (1:2.14.18-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream bugfix release, one API addition:
    + debian/patches/700-autoreconf.patch:
      - Regenerated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 08 Apr 2010 12:27:40 +0200

orbit2 (1:2.14.17-2) unstable; urgency=low

  * debian/control: Added minimum version to debhelper and pkg-config
    build-depends.
  * debian/liborbit2.lintian-overrides: Ignore that the package name does
    not match the .so names. This has historic reason and is not going to
    change.
  * debian/control: Fixed a typo in orbit2-nameserver's description.
    + Closes: #557830 "Typo in package description: "This packages""

 -- Sebastian Rittau <srittau@debian.org>  Tue, 24 Nov 2009 21:42:44 +0100

orbit2 (1:2.14.17-1) unstable; urgency=low

  * Acknowledge NMUs. Thanks, people!
    + Closes: #460403 "diff for NMU version 1:2.14.10-0.1"
    + Closes: #471275 "diff for NMU 2.14.12-0.1"
  * Update Standards-Version to 3.8.3, no additional changes needed.
  * Bump debhelper compatibility level to 7.

 -- Sebastian Rittau <srittau@debian.org>  Sun, 04 Oct 2009 17:36:55 +0200

orbit2 (1:2.14.17-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream bugfix release. No API changes.
  * Update Standards-Version to 3.8.0, no additional changes needed.
  * Build depend on autotools-dev to get config.{sub,guess} updated.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 06 Mar 2009 18:40:04 +0100

orbit2 (1:2.14.16-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream bugfix release. No API changes.

 -- Josselin Mouette <joss@debian.org>  Fri, 14 Nov 2008 22:46:49 +0100

orbit2 (1:2.14.13-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream bugfix release:
    + Robustness fixes.
    + Locking fixes in linc.
    + Fixes for handling of local requests.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 03 Jun 2008 10:40:06 +0200

orbit2 (1:2.14.12-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream bugfix release:
    + Fixes build with glib 2.16 (Closes: #464525).
    + 700-autoreconf.patch: Regenerated for the new version.
    + Build depend on libidl-dev (>= 0.8.10).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Mar 2008 02:39:46 +0100

orbit2 (1:2.14.10-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release with API additions.
  * Increase shlibs version to 2.14.10.
  * Use ${binary:Version}.
  * Standards version can be 3.7.3.
  * Fix FSF address in copyright.


